body {
    margin: 0;
    background-color: #111;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }
  
  #map-container {
    width: 1920px;
    height: 1080px;
    position: relative;
    overflow: hidden;
  }
  
  object {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: transform 1s ease-in-out, opacity 0.5s ease;
  }
  
  .detail-map {
    opacity: 0;
    pointer-events: none;
    z-index: 0;
  }
  
  .showing {
    opacity: 1;
    pointer-events: auto;
    z-index: 1;
  }
  